Canales de notificación
GET https://vtx.best/api/notification-handlers/
curl --request GET \
--url 'https://vtx.best/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vtx.best/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parámetros | Detalles | Descripción |
|---|---|---|
| search | Opcional Cadena de texto | El texto de búsqueda. |
| search_by | Opcional Cadena de texto | El campo por el que buscas. Valores permitidos: name. |
| is_enabled | Opcional Booleano | |
| type | Opcional Cadena de texto | El campo por el que buscas. Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams, ntfy. |
| datetime_field | Opcional Cadena de texto | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena de texto | Filtra los resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadena de texto | Filtra los resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadena de texto | El campo por el que se ordenan los resultados. Valores permitidos: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcional Cadena de texto | El orden de los resultados. Valores permitidos: ASC para orden ascendente y DESC para orden descendente. |
| search | Opcional Cadena de texto | El texto de búsqueda. |
| search_by | Opcional Cadena de texto | El campo por el que buscas. Valores permitidos: name. |
| is_enabled | Opcional Booleano | |
| type | Opcional Cadena de texto | El campo por el que buscas. Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams, ntfy. |
| datetime_field | Opcional Cadena de texto | Valores permitidos: datetime, last_datetime |
| datetime_start | Opcional Cadena de texto | Filtra los resultados a partir de esta fecha y hora. Formato Y-m-d H:i:s. |
| datetime_end | Opcional Cadena de texto | Filtra los resultados hasta esta fecha y hora. Formato Y-m-d H:i:s. |
| order_by | Opcional Cadena de texto | El campo por el que se ordenan los resultados. Valores permitidos: notification_handler_id, datetime, last_datetime, name. |
| order_type | Opcional Cadena de texto | El orden de los resultados. Valores permitidos: ASC para orden ascendente y DESC para orden descendente. |
| page | Opcional Número entero | El número de página del que quieres obtener resultados. El valor predeterminado es 1. |
| results_per_page | Opcional Número entero | La cantidad de resultados por página. Valores permitidos: 10, 25, 50, 100, 250, 500, 1000. El valor predeterminado es 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-27 08:23:05"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://vtx.best/api/notification-handlers?page=1",
"last": "https://vtx.best/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://vtx.best/api/notification-handlers?page=1"
}
}
GET https://vtx.best/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://vtx.best/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vtx.best/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-27 08:23:05"
}
}
POST https://vtx.best/api/notification-handlers
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Obligatorio Cadena de texto | - |
| type | Obligatorio Cadena de texto | Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams, ntfy |
| Opcional Cadena de texto | Disponible cuando: type = email Correo electrónico | |
| webhook | Opcional Cadena de texto | Disponible cuando: type = webhook URL del webhook |
| slack | Opcional Cadena de texto | Disponible cuando: type = slack URL del webhook de Slack |
| discord | Opcional Cadena de texto | Disponible cuando: type = discord URL del webhook de Discord |
| telegram | Opcional Cadena de texto | Disponible cuando: type = telegram Token de la API de Telegram |
| telegram_chat_id | Opcional Cadena de texto | Disponible cuando: type = telegram ID del chat de Telegram |
| microsoft_teams | Opcional Cadena de texto | Disponible cuando: type = microsoft_teams URL del webhook de Microsoft Teams |
| ntfy | Opcional Cadena de texto | Disponible cuando: type = ntfy URL del tema de ntfy |
curl --request POST \
--url 'https://vtx.best/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://vtx.best/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hello@example.com"
},
"is_enabled": 1,
"last_datetime": null,
"datetime": "2026-10-27 08:23:05"
}
}
POST https://vtx.best/api/notification-handlers/{notification_handler_id}
| Parámetros | Detalles | Descripción |
|---|---|---|
| name | Opcional Cadena de texto | - |
| type | Opcional Cadena de texto | Valores permitidos: email, webhook, slack, discord, telegram, microsoft_teams, ntfy |
| Opcional Cadena de texto | Disponible cuando: type = email Correo electrónico | |
| webhook | Opcional Cadena de texto | Disponible cuando: type = webhook URL del webhook |
| slack | Opcional Cadena de texto | Disponible cuando: type = slack URL del webhook de Slack |
| discord | Opcional Cadena de texto | Disponible cuando: type = discord URL del webhook de Discord |
| telegram | Opcional Cadena de texto | Disponible cuando: type = telegram Token de la API de Telegram |
| telegram_chat_id | Opcional Cadena de texto | Disponible cuando: type = telegram ID del chat de Telegram |
| microsoft_teams | Opcional Cadena de texto | Disponible cuando: type = microsoft_teams URL del webhook de Microsoft Teams |
| ntfy | Opcional Cadena de texto | Disponible cuando: type = ntfy URL del tema de ntfy |
| is_enabled | Opcional Booleano | - |
curl --request POST \
--url 'https://vtx.best/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://vtx.best/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1,
"user_id": 1,
"type": "email",
"name": "Example new name",
"settings": {
"email": "hello@example.com"
},
"is_enabled": 1,
"last_datetime": "2026-10-27 08:23:05",
"datetime": "2026-10-27 08:23:05"
}
}
DELETE https://vtx.best/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://vtx.best/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://vtx.best/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \